org.apache.ignite.internal.processors.igfs

## Class IgfsStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsStatus

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsStatus
    extends Object
    implements Externalizable

IGFS response for status request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsStatus()` Empty constructor required by `Externalizable`.
`IgfsStatus(long spaceUsed, long spaceTotal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal(ObjectInput in)`
`long` `spaceTotal()`
`long` `spaceUsed()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsStatus

    public IgfsStatus()

Empty constructor required by `Externalizable`.

#### IgfsStatus

    public IgfsStatus(long spaceUsed,
                      long spaceTotal)

Parameters:
  `spaceUsed` - Used space in IGFS.
  `spaceTotal` - Total space available in IGFS.

### Method Detail

#### spaceTotal

    public long spaceTotal()

Returns:
  Total space available in IGFS.

#### spaceUsed

    public long spaceUsed()

Returns:
  Used space in IGFS.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019